org.codehaus.groovy.control.io

## Class NullWriter

- java.lang.Object
- - java.io.Writer
  - - org.codehaus.groovy.control.io.NullWriter

All Implemented Interfaces:
  java.io.Closeable, java.io.Flushable, java.lang.Appendable, java.lang.AutoCloseable

    public class NullWriter
    extends java.io.Writer

An Writer than eats its input.

Author:
  Chris Poirier

### Field Summary

Fields
`static NullWriter` `DEFAULT`

### Fields inherited from class java.io.Writer

`lock`

### Constructor Summary

Constructors
Constructor and Description
`NullWriter()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `close()`
`void` `flush()`
`void` `write(char[] cbuf, int off, int len)`

### Methods inherited from class java.io.Writer

`append, append, append, write, write, write, write`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### DEFAULT

    public static final NullWriter DEFAULT

### Constructor Detail

#### NullWriter

    public NullWriter()

### Method Detail

#### close

    public void close()

Specified by:
  `close` in interface `java.io.Closeable`
Specified by:
  `close` in interface `java.lang.AutoCloseable`
Specified by:
  `close` in class `java.io.Writer`

#### flush

    public void flush()

Specified by:
  `flush` in interface `java.io.Flushable`
Specified by:
  `flush` in class `java.io.Writer`

#### write

    public void write(char[] cbuf,
                      int off,
                      int len)

Specified by:
  `write` in class `java.io.Writer`